%define anolis_release 23
Name:		perl-Module-Package-Au
Version:	2
Release:	%{anolis_release}%{?dist}
Summary:	Reusable Module::Install bits
License:	CC0
URL:		https://metacpan.org/release/Module-Package-Au
Source0:	https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/Module-Package-Au-%{version}.tar.gz
Patch0:		perl-Module-Package-Au-no-bundle.patch
BuildArch:	noarch
BuildRequires:  make
BuildRequires:	perl-generators
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Module::Install::AuthorTests)
BuildRequires:	perl(Module::Install::GithubMeta)
BuildRequires:	perl(Module::Install::ReadmeFromPod)
BuildRequires:	perl(Module::Install::ReadmeMarkdownFromPod)
BuildRequires:	perl(Module::Install::Repository)
BuildRequires:	perl(Module::Package) >= 0.24
BuildRequires:	perl(Pod::Markdown)

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module defines a set of standard configurations for Makefile.PL
files based on Module::Package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Module-Package-Au-%{version}
rm -rf inc/*

# Work around goofy perl versioning mistakes of the past
sed -i 's|1.110730|1.301|g' lib/Module/Package/Au.pm
sed -i 's|1.110730|1.301|g' META.yml

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Module/Package/
%{_mandir}/man3/Module::Package::Au.3pm*

%files doc
%doc Changes README

%changelog
* Wed Feb 1 2023 Funda Wang <fundawang@yeah.net> - 2-23
- Import package for anolis 23
